Bug 1463832 - Satellite 5.8: missing documentation for cmdline Manifest activation/refresh post-install via rhn-satellite-activate
Satellite 5.8: missing documentation for cmdline Manifest activation/refresh ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation (Show other bugs)
580
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Russell Dickenson
Michaela Slaninkova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 16:36 EDT by Xixi
Modified: 2017-07-11 19:48 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 19:48:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 11061 None None None 2017-06-27 12:54 EDT

  None (edit)
Description Xixi 2017-06-21 16:36:22 EDT
Document URL: 
https://access.redhat.com/documentation/en/red-hat-satellite?version=5.8/
(not sure which Guide this belongs in, Installation Guide, or User Guide)

Section Number and Name: 
(see above)

Describe the issue: 
Unlike Satellite 5.7 and earlier versions, Satellite 5.8 uses a Satellite Manifest instead classic Satellite Certificate.  New options are added to rhn-satellite-active for updating or refreshing the Satellite server with a new Manifest post-installation.  This is missing from the Documentation and needs to be added.

New options include --manifest-download, --manifest-info, --manifest-refresh, --manifest-reconcile-request, 

see Bug 1397762 - [RFE] Satellite5.8: Refreshing a manifest should re-generate entitlement certificates
in Additional information below.

Suggestions for improvement: 
Add documentation for the new options rhn-satellite-activate that works with manifests (hopefully man page has more info) - can point customer to the man page if needed but at least list options and how to update/refresh Manifests via rhn-satelite-activate.  Thanks,

Additional information: 
:
"two parameters to rhn-satellite-activate added:

--download-manifest will perform GET request to export manifest and downloads it to /tmp
--refresh-manifest will perform PUT request to /consumers/{consumer_uuid}/certificates to request certificates regeneration

Default Candlepin endpoint is defined in /usr/share/rhn/config-defaults/rhn_server_satellite.conf and can be overridden in /etc/rhn/rhn.conf to test it against stage etc."

...

"1) download manifest
>> rhn-satellite-activate --manifest-download
x:x:x Downloading manifest...
x:x:x New manifest saved to: '/tmp/manifest-6q99B7.zip'

2) info about manifest 
>> rhn-satellite-activate --manifest-info
Name: pstudeni-example
UUID: ***
Owner ID: ***
Satellite version: 5.8
Created: 2017-06-01T10:48:49.347+0000
API URL: https://subscription.rhn.redhat.com/subscription/consumers/

3) refresh manifest
>> rhn-satellite-activate --manifest-refresh
x:x:x Downloading manifest...
x:x:x Populating channel families...
x:x:x Updating certificates...
x:x:x Updating manifest repositories...

4) sent request
>> rhn-satellite-activate --manifest-reconcile-request
x:x:x Requesting manifest regeneration...
x:x:x Manifest regeneration requested.

*) enable proxy:

vim /etc/rhn/rhn.conf
server.satellite.http_proxy = squid.example.com:3128"
Comment 1 Xixi 2017-06-21 17:11:48 EDT
Actually, looking at the git commits [1], there're more than 4 options, 

if I'm reading [2] correctly, for a connected customer they can use rhn-satellite-activate --manifest FILE to update from local file, or --manifest-refresh to download new manifest from RHSM and activate it immediately locally.

For a disconnected customer it'd be rhn-satellite-activate --manifest --disconnected FILE to activate a new manifest.

Anyway the manpage would be the source of truth - I just don't have a live Sat 5.8 server to poke at right now. 

[1] http://git.rhndev.redhat.com/git/?p=satellite.git&a=search&h=refs%2Fheads%2FSATELLITE-5.8&st=commit&s=1397762

[2] http://git.rhndev.redhat.com/git/?p=satellite.git;a=blob;f=backend/satellite_tools/rhn-satellite-activate.sgml;h=fa0bcabee13318ec39bb53c353183709d5e58976;hb=11855417f09a0ee58118a93b0c5f2b78d3f07c1a

Note You need to log in before you can comment on or make changes to this bug.